Loading...
Searching...
No Matches
Waveform Generators
GNU Radio C++ Signal Processing Blocks

## Classes

class | gr::analog::noise_source< T >
| Random number source. More...
class | gr::analog::random_uniform_source< T >
| Uniform Random Number Generator. More...
class | gr::analog::sig_source< T >
| signal generator with T output. More...
class | gr::blocks::vco_c
| VCO - Voltage controlled oscillator. More...
class | gr::blocks::vco_f
| VCO - Voltage controlled oscillator. More...
class | gr::digital::glfsr
| Galois Linear Feedback Shift Register using specified polynomial mask. More...
class | gr::digital::glfsr_source_b
| Galois LFSR pseudo-random source. More...
class | gr::digital::glfsr_source_f
| Galois LFSR pseudo-random source generating float outputs -1.0 - 1.0. More...

## Enumerations

enum | gr::analog::gr_waveform_t { gr::analog::GR_CONST_WAVE = 100 , gr::analog::GR_SIN_WAVE , gr::analog::GR_COS_WAVE , gr::analog::GR_SQR_WAVE , gr::analog::GR_TRI_WAVE , gr::analog::GR_SAW_WAVE }
| Types of signal generator waveforms. More...

## Detailed Description

## Enumeration Type Documentation

## gr_waveform_t

enum gr::analog::gr_waveform_t

Types of signal generator waveforms.

Enumerator
GR_CONST_WAVE |
GR_SIN_WAVE |
GR_COS_WAVE |
GR_SQR_WAVE |
GR_TRI_WAVE |
GR_SAW_WAVE |